FixOf
Keywords: net.corda.finance.contracts.FixOf class
Date: 2023-09-18

net.corda.finance.contracts

## Class FixOf

- net.corda.finance.contracts.FixOf

-     public class FixOf

  A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

  See Also:
    `class FixOf`

- - ### Constructor Detail

    - #### FixOf

          public FixOf(@NotNull
                       java.lang.String name,
                       @NotNull
                       java.time.LocalDate forDay,
                       @NotNull
                       Tenor ofTenor)

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

  - ### Method Detail

    - #### getName

          @NotNull
          public java.lang.String getName()

    - #### getForDay

          @NotNull
          public java.time.LocalDate getForDay()

    - #### getOfTenor

          @NotNull
          public Tenor getOfTenor()

    - #### component1

          @NotNull
          public java.lang.String component1()

    - #### component2

          @NotNull
          public java.time.LocalDate component2()

    - #### component3

          @NotNull
          public Tenor component3()

    - #### copy

          @NotNull
          public FixOf copy(@NotNull
                                     java.lang.String name,
                                     @NotNull
                                     java.time.LocalDate forDay,
                                     @NotNull
                                     Tenor ofTenor)

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

    - #### hashCode

          public int hashCode()

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A `class FixOf` identifies the question side of a fix: what day, tenor and type of fix ("LIBOR", "EURIBOR" etc)

      See Also:
        `class FixOf`